QGIS Application - Bug report #16596
snapping advanced configuration does not show snapping dialog
2017-05-22 02:52 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Denis Rouzaud

Category: Digitising

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24498
Description

In ggis 2.99, when the digitizing snapping option is set to "dialog" and not "dock", the dialog does not show up when selecting the
advanced configuration from the toolbar dropdown widget. In this setting, it's not possible to set snapping options, so it's a regression.

When set to "dock", it's possible to open the dock but it doesn't show up itself. It would be good to the dock opens/close when
activating/deactivating the toolbar too. This is more a UX issue.

Associated revisions

Revision 6885da40 - 2018-01-20 02:25 AM - Denis Rouzaud

[snapping widget] add advanced config widget in toolbar fix #16596

History

#1 - 2017-05-22 03:03 PM - Regis Haubourg
- Assignee set to Denis Rouzaud

#2 - 2017-05-22 03:13 PM - Denis Rouzaud

- Status changed from Open to Feedback

enabling the advanced mode from the toolbar is not meant to show the dialog or the dock. You have to use project menu -> snapping settings to show the
dialog.

You would define the advanced config once and might want to switch regularly from current layer / all layers / advanced. Showing the dialog everytime
would be a PITA.

#3 - 2017-05-22 04:14 PM - Regis Haubourg

ok, | get it, the entry has been moved from settings to project menu.

Now that we have a ditigizing toolbar and dock panel, I'd vote in favour to remove the old dialog option. It is a bit weird to have a dynamic and easy to use
toolbar and have to 5 clics from a menu to change snapping options.

What about having a way to show / hide the dock when activating the snapping toolbar?

#4 - 2017-10-16 12:26 AM - Tobias Wendorff
| also was confused about "dialog" and "dock". It's still in dev. Also, the new snapping toolbar is hidden in menu item "project". Took a while to find it.

#5 - 2018-01-18 08:56 PM - Denis Rouzaud

https://github.com/qgis/QGIS/pull/6100

#6 - 2018-01-20 02:24 AM - Denis Rouzaud
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|6885da404360e6e1b89555381790eb16573df115.

#7 - 2018-02-22 09:14 AM - Giovanni Manghi

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/6100

